#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "ui_mainwindow.h"

#include <marketplace.h>

#include <QMainWindow>

#include <memory>

class MainWindow : public QMainWindow
{
    Q_OBJECT

  public:
    MainWindow();
    Marketplace* getMarketplace() { return marketplace_.get(); }

  private slots:
    void on_actionEditSeller_triggered();
    void on_sellerNoEdit_checkSellerNo();
    void on_paidButton_triggered();

  private:
    Ui::MainWindow ui_;
    std::unique_ptr<Marketplace> marketplace_;
};

#endif